{ (* the header *) }

let digit = [0-9]
let line = [^ '\n'] *
let num = digit +
let ident = ['a' - 'z' 'A' - 'Z' '-' '0' - '9' '_' '.'] *
let category = ("godi" | "apps" | "conf")

rule spec = parse
    "Package: " (ident as package) '\n'
    "Version: " (ident as version) '\n'
    "Revision: " (num as revision) '\n'
    "Category: " (category as category) '\n'
    "Depends: " (line as deps) '\n'
    "Build-Depends: " (line as deps) '\n'
    "Sources: " (line as sources) '\n'
    "Homepage: " (line as homepage) '\n'
    "Maintainer: " (line as maintainer) '\n'
    "Description: " (line as short_desc) '\n'
    ((_ * '\n' as long_desc) '\n' '.' '\n')

{ (* the trailer *) }
